Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog.util
Class OutputHandler

    java.lang.Object
      java.lang.Thread
          com.declarativa.interprolog.util.OutputHandler

All Implemented Interfaces:
  Runnable

public class OutputHandler
extends Thread

An object consuming input from a stream, analysing it and sending messages to a list of OutputListener objects; if a debugStream is provided it gets a copy of all the input read

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`OutputHandler(InputStream s)`
`OutputHandler(InputStream s, OutputStream debugStream)`
`OutputHandler(InputStream s, OutputStream debugStream, String name)`

Method Summary
`void` | `addOutputListener(OutputListener ol)`
`boolean` | `hasListener(OutputListener ol)`
`void` | `removeOutputListener(OutputListener ol)`
`void` | `run()`
`void` | `setDebugStream(OutputStream debugStream)`
`void` | `setIgnoreStreamEnd(boolean ignore)`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutputHandler

    public OutputHandler(InputStream s,
                         OutputStream debugStream,
                         String name)

### OutputHandler

    public OutputHandler(InputStream s,
                         OutputStream debugStream)

### OutputHandler

    public OutputHandler(InputStream s)

Method Detail

### addOutputListener

    public void addOutputListener(OutputListener ol)

### removeOutputListener

    public void removeOutputListener(OutputListener ol)

### hasListener

    public boolean hasListener(OutputListener ol)

### run

    public void run()

### setIgnoreStreamEnd

    public void setIgnoreStreamEnd(boolean ignore)

### setDebugStream

    public void setDebugStream(OutputStream debugStream)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD